# Generated by extendr: Do not edit by hand

# nolint start

#
# This file was created with the following call:
#   .Call("wrap__make_tergo_wrappers", use_symbols = TRUE, package_name = "tergo")

#' @usage NULL
#' @useDynLib tergo, .registration = TRUE
NULL

#' Format code
#'
#' @param source_code (`character`) the R code to format
#'
#' @return (`character`) the formatted code
#' @keywords internal
format_code <- function(source_code, configuration) .Call(wrap__format_code, source_code, configuration)

#' Parse the config file and return the configuration
#'
#' @param path (`character(1)`) the file path of the configuration
#' file
#'
#' @return (`list`)
#' @keywords internal
get_config <- function(path) .Call(wrap__get_config, path)

#' Get the default configuration
#'
#' This configuration is used by the styling functions
#' if no value is provided for the configuration keys.
#' It can also serve as the base for you custom configuration.
#'
#' @details
#' The configuration values:
#' * indent - the number of spaces to use for indentation.
#' * line_length - the maximum number of characters in a line.
#' * embracing_op_no_nl - whether to allow a newline after an embracing operator.
#' * allow_nl_after_assignment - whether to allow a newline after an assignment operator.
#' * space_before_complex_rhs_in_formula - whether to add a space before a complex right-hand side in a formula.
#' * strip_suffix_whitespace_in_function_defs - whether to strip suffix whitespace in function definitions.
#' * function_line_breaks - the type of line breaks in function definitions when arguments do not
#'   fit. Possible values are: hanging, double, single.
#' * insert_newline_in_quote_call - whether to insert a newline in calls to `quote`.
#'
#' @return `list` with the default configuration
#' @export
#' @examples
#' config <- get_default_config()
#' print(config)
#'
#' # Make the indent 4 spaces
#' config$indent <- 4L
#'
#' # Make the maximum line length 80 characters
#' config$line_length <- 80L
#'
#' # Make the function line breaks double
#' config$function_line_breaks <- "double"
get_default_config <- function() .Call(wrap__get_default_config)

# nolint end

